---
title: "Buyer Information"
description: "The method allows getting information about the buyer by order ID"
lang: en-US
source: https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/dbs/post-api-v3-dbs-orders-client
---

# Buyer Information

```http
POST /api/v3/dbs/orders/client
```

**Base URL:** `https://marketplace-api.wildberries.ru` · **Module:** [`dbs`](https://valeryverkhoturov.github.io/wb-api-client-docs/en/reference/api/dbs/) · **Section:** DBS Assembly Orders · [Specification doc ↗](https://dev.wildberries.ru/en/docs/openapi/dbs#tag/dbsAssemblyOrders/operation/postV3DbsOrdersClient)

The method allows getting information about the buyer by order ID

[Request limit](https://dev.wildberries.ru/en/docs/openapi/api-information#tag/introduction/Rate-Limits) per one seller account for **DBS assembly orders** methods:

| Period                                                           | Limit        | Interval | Burst       |
| ---------------------------------------------------------------- | ------------ | -------- | ----------- |
| 1 min                                                            | 300 requests | 200 ms   | 20 requests |
| One request with `4XX` response codes is counted as 10 requests. |

---

In [Sandbox](https://dev.wildberries.ru/en/sandbox) — maximum of 1 request per second for all **Marketplace** methods in total.

## Request body

`application/json` — schema `OrdersRequestAPI`, required

- `orders` `integer<int64>[]` — Assembly order IDs list

## Responses

| Code  | Description               | Schema                  |
| ----- | ------------------------- | ----------------------- |
| `200` | Success                   | `DbsOnlyClientInfoResp` |
| `400` | Bad request               | `Error`                 |
| `401` | Unauthorized              | `object`                |
| `402` | Payment required          | `object`                |
| `403` | Access denied             | `Error`                 |
| `404` | The resource is not found | `Error`                 |
| `429` | Too many requests         | `object`                |

**Structure `200`:**

- `orders` `DbsOnlyClientInfo[]` — Buyer information for dbs-order (Delivery by Seller)
  - `replacementPhone` `string` — Replacement phone number to contact the buyer. An empty value `""` means that the number is not assigned yet
  - `phone` `string` — Backup replacement phone number to contact the buyer. Use if the replacement number from `replacementPhone` is unavailable. To contact the buyer, dial this number and the extension code from `phoneCode`. An empty value `""` means that the number is not assigned yet
  - `firstName` `string` — First name
  - `fullName` `string` — Full name, used for paperwork. For example, documents for a car
  - `additionalPhones` `string[]` — Additional phone numbers to contact the buyer. Use it to call the buyer, if the main number from `phone` is unavailable. An empty value means that the number is not specified
  - `replacementAdditionalPhones` `string[]` — Additional replacement phone numbers to contact the buyer. An empty value means that the number is not specified
  - `orderID` `integer<int64>` — Assembly order ID
  - `phoneCode` `integer<int64>` — Extension phone code. An empty value `""` means that the code is not assigned yet
  - `additionalPhoneCodes` `string[]` — Additional extension codes. Use if you couldn't reach the buyer using the extension code from `phoneCode`. An empty value `""` means that the code is not assigned yet

**Structure `400`:**

- `code` `string` — Error code
- `message` `string` — Error description
- `data` `object` — Additional data for the error

**Structure `401`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

**Structure `402`:**

- `title` `string` — Error title
- `detail` `string` — Error details. The error is only returned to services from the [Solutions for business Catalog](https://dev.wildberries.ru/business-solutions)

**Structure `403`:**

- `code` `string` — Error code
- `message` `string` — Error description
- `data` `object` — Additional data for the error

**Structure `404`:**

- `code` `string` — Error code
- `message` `string` — Error description
- `data` `object` — Additional data for the error

**Structure `429`:**

- `title` `string` — Error title
- `detail` `string` — Error details
- `code` `string` — Internal error code
- `requestId` `string` — Unique request ID
- `origin` `string` — WB internal service ID
- `status` `number` — HTTP status code
- `statusText` `string` — Text of the HTTP status code
- `timestamp` `string` — Request date and time

## Call examples

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

**Python**

```python
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi

cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))

result = api.post_v3_dbs_orders_client(orders_request_api=...)
print(result)
```

**TypeScript**

```ts
import {
  Configuration,
  DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);

const { data } = await api.postV3DbsOrdersClient(ordersRequestAPI);
console.log(data);
```

**Go**

```go
import (
	"context"
	"fmt"

	wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)

cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)

result, _, err := client.DbsAPI.PostV3DbsOrdersClient(context.Background()).OrdersRequestAPI(ordersRequestAPI).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
```

**Java**

```java
import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);

System.out.println(api.postV3DbsOrdersClient(ordersRequestAPI));
```

**PHP**

```php
use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);

print_r($api->postV3DbsOrdersClient($orders_request_api));
```

**OneScript**

```bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);

Сообщить(Клиент.PostV3DbsOrdersClient(Тело).Тело);
```

**C#**

```csharp
using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);

Console.WriteLine(api.PostV3DbsOrdersClient(ordersRequestAPI));
```

**Rust**

```rust
use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = dbs_api::post_v3_dbs_orders_client(&cfg, orders_request_api).await;
    println!("{:#?}", result);
}
```
